GTK+ Frontends to Various Bazaar Commands

Activity log for bug #273509

Date Who What changed Old value New value Message
2008-09-23 10:04:16 Alexandre Garnier bug added bug
2008-09-23 10:52:27 Alexandre Garnier description If a shared repository is also a branch, qlog on it show only branch log and not repository branches logs. $ bzr init-repo --no-trees test Shared repository (format: pack-0.92) Location: shared repository: test $ bzr init test Repository tree (format: pack-0.92) Location: shared repository: test repository branch: test $ bzr co test test_co $ echo "test" > test_co/file $ bzr add test_co/file $ bzr ci test_co/file Committing to: test/ added file Committed revision 1. $ bzr branch test test/branch Branched 1 revision(s). $ bzr co test/branch branch_co $ echo "branch" > branch_co/file $ bzr ci branch_co/file Committing to: test/branch/ modified file Committed revision 2. $ bzr qlog test --> show only test branch log $ bzr qlog test test/branch --> show test and test/branch branches logs It would be nice to be able to show repository log (maybe via flag --repository or anything else) and not only branch log in this case. If a shared repository is also a branch, qlog or viz on it show only branch log and not repository branches logs. $ bzr init-repo --no-trees test Shared repository (format: pack-0.92) Location: shared repository: test $ bzr init test Repository tree (format: pack-0.92) Location: shared repository: test repository branch: test $ bzr co test test_co $ echo "test" > test_co/file $ bzr add test_co/file $ bzr ci test_co/file Committing to: test/ added file Committed revision 1. $ bzr branch test test/branch Branched 1 revision(s). $ bzr co test/branch branch_co $ echo "branch" > branch_co/file $ bzr ci branch_co/file Committing to: test/branch/ modified file Committed revision 2. $ bzr qlog|viz test --> show only test branch log $ bzr qlog|viz test test/branch --> show test and test/branch branches logs It would be nice to be able to show repository log (maybe via flag --repository or anything else) and not only branch log in this case.
2008-09-23 10:52:27 Alexandre Garnier title qlog on shared repository which is a branch show only branch log log visualisation on shared repository which is a branch show only branch log
2008-09-23 10:53:29 Alexandre Garnier bug assigned to bzr-gtk
2008-09-24 05:06:04 Alexander Belchenko qbzr: importance Undecided Wishlist
2008-09-24 05:06:04 Alexander Belchenko qbzr: statusexplanation
2008-10-09 15:22:44 Alexander Belchenko qbzr: status New Confirmed
2008-10-09 15:22:44 Alexander Belchenko qbzr: importance Wishlist Low
2009-07-03 15:05:06 Jelmer Vernooij bzr-gtk: importance Undecided Wishlist
2009-07-03 15:05:06 Jelmer Vernooij bzr-gtk: status New Triaged
2009-07-03 15:05:17 Jelmer Vernooij tags qlog qlog viz
2009-10-22 12:30:28 Gary van der Merwe summary log visualisation on shared repository which is a branch show only branch log qlog/viz: Show repo when root is also a branch
2009-10-22 12:30:33 Gary van der Merwe qbzr: importance Low Wishlist